Skip to navigation

List Access Requests

Requires the view_tool_access permission.

Authentication

AuthorizationBearer

An organization API key (mfw_org_key_...), sent as Authorization: Bearer <key>. Create one under Settings → API keys.

Query parameters

statusenum or nullOptional

A list filter: a status, except APPROVED is approvals still in force and EXPIRED is approvals whose end date has passed.

person_idstring or nullOptionalformat: "uuid"
searchstring or nullOptional<=100 characters
limitintegerOptional1-100Defaults to 50
cursorstring or nullOptional

Response

Successful Response
resultslist of objects
next_cursorstring or null

Errors

422
Unprocessable Entity Error